Package org.apache.tapestry5.internal.services

## Class RequestPageCacheImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.RequestPageCacheImpl

- All Implemented Interfaces:
    `Runnable`, `RequestPageCache`

      @Scope("perthread")
      public class RequestPageCacheImpl
      extends Object
      implements RequestPageCache, Runnable

  In Tapestry 5.1, the implementation of this worked with the page pool (a pool of page instances, reserved to individual requests/threads). Page pooling was deprecated in 5.2 and removed in 5.3.
  Since:
    5.2

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestPageCacheImpl​(org.slf4j.Logger logger, ComponentClassResolver resolver, PageSource pageSource, RequestGlobals requestGlobals)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Page` | `get​(String pageName)` | Gets the page via its page name, in the current locale.
    `void` | `listenForThreadCleanup​(PerthreadManager perthreadManager)` |
    `void` | `run()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestPageCacheImpl

          public RequestPageCacheImpl​(org.slf4j.Logger logger,
                                      ComponentClassResolver resolver,
                                      PageSource pageSource,
                                      RequestGlobals requestGlobals)

  - ### Method Detail

    - #### listenForThreadCleanup

          @PostInjection
          public void listenForThreadCleanup​(PerthreadManager perthreadManager)

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### get

          public Page get​(String pageName)

      Description copied from interface: `RequestPageCache`
      Gets the page via its page name, in the current locale. The logical page name is resolved to a class name, which is used to obtain the page (from the page pool). Note that under certain circumstances, a page may have multiple names (even beyond simple case-insensitivity), and RequestPageCache caches correctly.
      Specified by:
        `get` in interface `RequestPageCache`
      Parameters:
        `pageName` - the name of the page to retrieve (this is the logical page name, not the fully qualified class name)
      Returns:
        a page instance reserved for this request